Amplify APIReference
Update a Single Marketer
PUT
/marketers/{id}Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
id*string
the Marketer's id
Query Parameters
extraFields?string
the additional marketer fields you want to include in the response
Request Body
application/json
Response Body
application/json
curl -X PUT "https://example.com/marketers/00f4b02153ee75f3c9dc4fc128ab041962?extraFields=Account" \ -H "Content-Type: application/json" \ -d '{ "blockedSites": { "blockedPublishers": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962" }, { "id": "0095b3a4811c42fe570d1e730e7286adb4" } ], "blockedSections": [ { "id": "01f4b02153ee75f3f9dc4fce28ab041g65" } ] }, "logoMetadata": { "url": "http://someImageUrl.com/logo.png" } }'{ "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "my marketer", "enabled": true, "lastModified": "2014-04-20 14:52:13", "creationTime": "2013-06-19 21:17:11", "blockedSites": { "blockedPublishers": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Blocked Publisher Name 1", "creationTime": "2016-01-12 04:02:34", "expiration": "2026-01-20" }, { "id": "0095b3a4811c42fe570d1e730e7286adb4", "name": "Blocked Publisher Name 2", "creationTime": "2016-01-12 04:02:34" } ], "blockedSections": [ { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "name": "Blocked Section Name", "creationTime": "2016-01-12 04:02:34", "expiration": "2026-01-20", "publisher": { "id": "0095b3a4811c42fe570d1e730e7286adb4", "name": "The name of the publisher the section belongs to" } } ] }, "logoMetadata": { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "url": "http://someImageUrl.com/logo.png" }}